# Uses of Class
org.apache.lucene.expressions.Bindings

Packages that use Bindings
Package
Description
org.apache.lucene.expressions
Expressions.

## Uses of Bindings in org.apache.lucene.expressions

Subclasses of Bindings in org.apache.lucene.expressions
Modifier and Type
Class
Description
`final class`
`SimpleBindings`
Simple class that binds expression variable names to `DoubleValuesSource`s or other `Expression`s.
Methods in org.apache.lucene.expressions with parameters of type Bindings
Modifier and Type
Method
Description
`DoubleValuesSource`
Expression.`getDoubleValuesSource(Bindings bindings)`
Get a DoubleValuesSource which can compute the value of this expression in the context of the given bindings.
`Rescorer`
Expression.`getRescorer(Bindings bindings)`
Get a `Rescorer`, to rescore first-pass hits using this expression.
`SortField`
Expression.`getSortField(Bindings bindings, boolean reverse)`
Get a sort field which can be used to rank documents by this expression.